This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1066345 - (CVE-2013-4526) CVE-2013-4526 qemu: ahci: fix buffer overrun on invalid state load
CVE-2013-4526 qemu: ahci: fix buffer overrun on invalid state load
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131203,repor...
: Security
Depends On: 1095696 1095697 1095698
Blocks: 1036654
  Show dependency treegraph
 
Reported: 2014-02-18 04:30 EST by Petr Matousek
Modified: 2015-10-27 23:36 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-22 07:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-02-18 04:30:55 EST
Within hw/ide/ahci.c, VARRAY refers to ports which is also loaded.  So
we use the old version of ports to read the array but then allow any
value for ports.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=ae2158ad6ce0845b2fae2a22aa7f19c0d7a71ce5
Comment 1 Petr Matousek 2014-02-18 06:11:07 EST
Statement:

Not vulnerable.

This issue does not affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped
with Red Hat Enterprise Linux 6
Comment 3 Prasad J Pandit 2014-05-08 08:17:38 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095696]
Comment 4 Fedora Update System 2014-05-16 06:00:47 EDT
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.